//____________________________________________________________________________
/*!

\class    genie::AMNuGammaInteractionListGenerator

\brief    Concrete implementations of the InteractionListGeneratorI interface.
          Generates a list of all the interactions that can be generated by the
          AM-NUGAMMA EventGenerator.

\author   Costas Andreopoulos <constantinos.andreopoulos \at cern.ch>
          University of Liverpool & STFC Rutherford Appleton Laboratory

\created  Feb 15, 2008

\cpright  Copyright (c) 2003-2022, The GENIE Collaboration
          For the full text of the license visit http://copyright.genie-mc.org        
*/
//____________________________________________________________________________

#ifndef _AMNUGAMMA_INTERACTION_GENERATOR_H_
#define _AMNUGAMMA_INTERACTION_GENERATOR_H_

#include "Framework/EventGen/InteractionListGeneratorI.h"

namespace genie {

class AMNuGammaInteractionListGenerator : public InteractionListGeneratorI {

public :
  AMNuGammaInteractionListGenerator();
  AMNuGammaInteractionListGenerator(string config);
 ~AMNuGammaInteractionListGenerator();

  //-- implement the InteractionListGeneratorI interface
  InteractionList * CreateInteractionList(const InitialState & init) const;
};

}      // genie namespace
#endif // _AMNUGAMMA_INTERACTION_GENERATOR_H_
