//____________________________________________________________________________
/*!

\class    genie::CEvNSInteractionListGenerator

\brief    Concrete implementations of the InteractionListGeneratorI interface.
          Generates a list of all the Interaction (= event summary) objects that
          can be generated by the CEvNSEventGenerator.

\author   Costas Andreopoulos <constantinos.andreopoulos \at cern.ch>
          University of Liverpool & STFC Rutherford Appleton Laboratory

\created  July 16, 2019

\cpright  Copyright (c) 2003-2022, The GENIE Collaboration
          For the full text of the license visit http://copyright.genie-mc.org
*/
//____________________________________________________________________________

#ifndef _CEVNS_INTERACTION_LIST_GENERATOR_H_
#define _CEVNS_INTERACTION_LIST_GENERATOR_H_

#include "Framework/EventGen/InteractionListGeneratorI.h"

namespace genie {

class CEvNSInteractionListGenerator : public InteractionListGeneratorI {
  
public :
  CEvNSInteractionListGenerator();
  CEvNSInteractionListGenerator(string config);
 ~CEvNSInteractionListGenerator();

  // Implement the InteractionListGeneratorI interface
  InteractionList * CreateInteractionList(const InitialState & init) const;
};

}      // genie namespace

#endif // _CEVNS_INTERACTION_LIST_GENERATOR_H_
